Page MenuHomeFreeBSD

add GENERIC-NODEBUG kernel configuration for arm64
ClosedPublic

Authored by lifanov_mail.lifanov.com on Dec 8 2016, 9:00 PM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Feb 23, 9:12 AM
Unknown Object (File)
Fri, Feb 2, 5:06 PM
Unknown Object (File)
Fri, Feb 2, 2:07 PM
Unknown Object (File)
Jan 14 2024, 5:44 PM
Unknown Object (File)
Nov 23 2023, 3:12 PM
Unknown Object (File)
Nov 18 2023, 11:39 AM
Unknown Object (File)
Nov 13 2023, 11:10 AM
Unknown Object (File)
Oct 25 2023, 5:40 AM
Subscribers

Details

Reviewers
andrew
gnn
Summary

This adds a configuration for arm64 users that track CURRENT but don't need the extra debug facilities. This is produced with "svn cp amd64/conf/GENERIC-NODEBUG arm64/conf/GENERIC-NODEBUG" and changing two characters in the comment from amd64 to arm64.

Test Plan

This revision is submitted from my Raspberry Pi 3 running GENERIC-NODEBUG.

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Passed
Unit
No Test Coverage
Build Status
Buildable 6164
Build 6420: arc lint + arc unit

Event Timeline

lifanov_mail.lifanov.com retitled this revision from to add GENERIC-NODEBUG kernel configuration for arm64.
lifanov_mail.lifanov.com updated this object.
lifanov_mail.lifanov.com edited the test plan for this revision. (Show Details)

Please ignore prop changes. I had to include a prop change to get arc lint to pass.

gnn edited edge metadata.
This revision is now accepted and ready to land.Dec 9 2016, 1:11 AM

Hi gnn, since you committed other ones, can you commit this one too please?

Committed revision 309791.